ProcessForkOptions (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.process

## [Java] Interface ProcessForkOptions

- Specifies the options to use to fork a process.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ProcessForkOptions` | `copyTo(ProcessForkOptions options)` Copies these options to the given target options.
    `ProcessForkOptions` | `environment(Map<String, ?> environmentVariables)` Adds some environment variables to the environment for this process.
    `ProcessForkOptions` | `environment(String name, Object value)` Adds an environment variable to the environment for this process.
    `ProcessForkOptions` | `executable(Object executable)` Sets the name of the executable to use.
    `Map<String, Object>` | `getEnvironment()` The environment variables to use for the process.
    `String` | `getExecutable()` Returns the name of the executable to use.
    `File` | `getWorkingDir()` Returns the working directory for the process.
    `void` | `setEnvironment(Map<String, ?> environmentVariables)` Sets the environment variable to use for the process.
    `void` | `setExecutable(Object executable)` Sets the name of the executable to use.
    `void` | `setWorkingDir(Object dir)` Sets the working directory for the process.
    `ProcessForkOptions` | `workingDir(Object dir)` Sets the working directory for the process.

- - ### Method Detail

    - #### public ProcessForkOptions copyTo(ProcessForkOptions options)

      Copies these options to the given target options.

      Parameters:
        `options` - The target options
      Returns:
        this

    - #### public ProcessForkOptions environment(Map<String, ?> environmentVariables)

      Adds some environment variables to the environment for this process.

      Parameters:
        `environmentVariables` - The environment variables. Must not be null.
      Returns:
        this

    - #### public ProcessForkOptions environment(String name, Object value)

      Adds an environment variable to the environment for this process.

      Parameters:
        `name` - The name of the variable.
        `value` - The value for the variable. Must not be null.
      Returns:
        this

    - #### public ProcessForkOptions executable(Object executable)

      Sets the name of the executable to use.

      Parameters:
        `executable` - The executable. Must not be null.
      Returns:
        this

    - #### public Map<String, Object> getEnvironment()

      The environment variables to use for the process. Defaults to the environment of this process.

      Returns:
        The environment. Returns an empty map when there are no environment variables.

    - #### public String getExecutable()

      Returns the name of the executable to use.

      Returns:
        The executable.

    - #### public File getWorkingDir()

      Returns the working directory for the process. Defaults to the project directory.

      Returns:
        The working directory. Never returns null.

    - #### public void setEnvironment(Map<String, ?> environmentVariables)

      Sets the environment variable to use for the process.

      Parameters:
        `environmentVariables` - The environment variables. Must not be null.

    - #### public void setExecutable(Object executable)

      Sets the name of the executable to use.

      Parameters:
        `executable` - The executable. Must not be null.

    - #### public void setWorkingDir(Object dir)

      Sets the working directory for the process. The supplied argument is evaluated as per Project.file.

      Parameters:
        `dir` - The working directory. Must not be null.

    - #### public ProcessForkOptions workingDir(Object dir)

      Sets the working directory for the process. The supplied argument is evaluated as per Project.file.

      Parameters:
        `dir` - The working directory. Must not be null.
      Returns:
        this